<?php
add_action('wp_enqueue_scripts', function () {

  function is_fsockopen($host, $port){
    $fp = @fsockopen($host, $port, $error_code, $err_message, 0.1);
    if ($fp) {
      fclose($fp);
      return true;
    } else {
      return false;
    }
  }

  $host = 'localhost';
  $port = '8889';
  $running_hmr_serve = $_SERVER['HTTP_HOST'] == '環境に合わせたホストを設定してください'
                       && is_fsockopen($host, $port);

  $output_dir = '/wp-content/themes/child/pages/build-hot-reload';
  if ($running_hmr_serve) {
    $output_dir = "//{$host}:{$port}";
  }

  $css_index = "{$output_dir}/css/index.css";
  $js_chunk_vendors = "{$output_dir}/js/chunk-vendors.js";
  $js_index = "{$output_dir}/js/index.js";

  wp_enqueue_style('app-index', $css_index);
  wp_enqueue_script('app-chunk-vendor', $js_chunk_vendors, array(), false, true);
  wp_enqueue_script('app-index', $js_index, array(), false, true);
});

get_header();

while (have_posts()) :
  the_post();
  ?>
  <div id="app"></div>
<?php
endwhile;

get_footer();
