module.exports = {
  pages: {
    index: {
      entry: 'src/main.js',
      template: 'public/index.php',
      filename: 'index.php',
      minify: false,
      inject: false,
    }
  },

  productionSourceMap: false,
  filenameHashing: false,
  outputDir: '../htdocs/wp-content/themes/child/pages/build-hot-reload',
  publicPath: process.env.NODE_ENV === 'production' ?
    '/wp-content/themes/child/pages/build-hot-reload' :
    '//localhost:8889',

  devServer: {
    port: 8889,
    disableHostCheck: true,
    headers: {
      'Access-Control-Allow-Origin': '*'
    },
  },
}
